declare const isColorSupported: boolean;
interface ColorFunctions {
    [key: string]: (string: string) => string;
}
declare const color: ColorFunctions;
declare function composeColors(...fns: ((s: string) => string)[]): (s: string) => string;
declare const hex: (hex: string) => (string: string) => string;
interface CreateColorsOptions {
    useColor?: boolean;
}
declare const createColors: ({ useColor }?: CreateColorsOptions) => ColorFunctions;
declare const reset: (string: string) => string;
declare const bold: (string: string) => string;
declare const dim: (string: string) => string;
declare const italic: (string: string) => string;
declare const underline: (string: string) => string;
declare const inverse: (string: string) => string;
declare const hidden: (string: string) => string;
declare const strikethrough: (string: string) => string;
declare const black: (string: string) => string;
declare const red: (string: string) => string;
declare const green: (string: string) => string;
declare const yellow: (string: string) => string;
declare const blue: (string: string) => string;
declare const magenta: (string: string) => string;
declare const cyan: (string: string) => string;
declare const white: (string: string) => string;
declare const gray: (string: string) => string;
declare const bgBlack: (string: string) => string;
declare const bgRed: (string: string) => string;
declare const bgGreen: (string: string) => string;
declare const bgYellow: (string: string) => string;
declare const bgBlue: (string: string) => string;
declare const bgMagenta: (string: string) => string;
declare const bgCyan: (string: string) => string;
declare const bgWhite: (string: string) => string;
declare const blackBright: (string: string) => string;
declare const redBright: (string: string) => string;
declare const greenBright: (string: string) => string;
declare const yellowBright: (string: string) => string;
declare const blueBright: (string: string) => string;
declare const magentaBright: (string: string) => string;
declare const cyanBright: (string: string) => string;

export { bgBlack, bgBlue, bgCyan, bgGreen, bgMagenta, bgRed, bgWhite, bgYellow, black, blackBright, blue, blueBright, bold, color, composeColors, createColors, cyan, cyanBright, dim, gray, green, greenBright, hex, hidden, inverse, isColorSupported, italic, magenta, magentaBright, red, redBright, reset, strikethrough, underline, white, yellow, yellowBright };
