import { request } from './client.js';

async function createOAuth() {
  return request("/oauth", {
    method: "POST"
  });
}
async function pollOAuth(options) {
  const { token } = options;
  return request(`/oauth/${token}/poll`);
}
async function verifyOAuth(options) {
  const { pairingCode, secret, token } = options;
  return request(`/oauth/${token}/verify`, {
    method: "PUT",
    body: { pairingCode, secret }
  });
}

export { createOAuth, pollOAuth, verifyOAuth };
